跳转到内容
Try Gitea Cloud ☁️ for 30 days → Accelerate your Development & Deploys!

Reply to a pull request review comment

POST
/repos/{owner}/{repo}/pulls/{index}/comments/{id}/replies
curl --request POST \
--url https://gitea.com/api/v1/repos/example/example/pulls/1/comments/1/replies \
--header 'Authorization: Basic <credentials>' \
--header 'Content-Type: application/json' \
--data '{ "body": "example" }'
owner
required
string

Owner of the repo

repo
required
string

Name of the repo

index
required
integer format: int64

Index of the pull request

id
required
integer format: int64

Id of the review comment to reply to

Media typeapplication/json

CreatePullReviewCommentReplyOptions are options to reply to a pull request review comment

object
body
string
Examplegenerated
{
"body": "example"
}

PullComment

Media typeapplication/json

PullReviewComment represents a comment on a pull request review

object
body
string
commit_id
string
created_at
string format: date-time
diff_hunk
string
html_url
string
id
integer format: int64
original_commit_id
string
original_position
integer format: uint64
path
string
position
integer format: uint64
pull_request_review_id
integer format: int64
pull_request_url
string
resolver

User represents a user

object
active

Is user active

boolean
avatar_url

URL to the user’s avatar

string
created
string format: date-time
description

The user’s description

string
email
string format: email
followers_count

User counts

integer format: int64
following_count
integer format: int64
full_name

The user’s full name

string
html_url

URL to the user’s gitea page

string
id

The user’s id

integer format: int64
is_admin

Is the user an administrator

boolean
language

User locale

string
last_login
string format: date-time
location

The user’s location

string
login

Login of the user, same as username

string
login_name

Identifier of the user, provided by the external authenticator (if configured)

string
default: empty
prohibit_login

Is user login prohibited

boolean
restricted

Is user restricted

boolean
source_id

The ID of the user’s Authentication Source

integer format: int64
starred_repos_count
integer format: int64
visibility

User visibility level option: public, limited, private public UserVisibilityPublic limited UserVisibilityLimited private UserVisibilityPrivate

string
Allowed values: public limited private
website

The user’s website

string
updated_at
string format: date-time
user

User represents a user

object
active

Is user active

boolean
avatar_url

URL to the user’s avatar

string
created
string format: date-time
description

The user’s description

string
email
string format: email
followers_count

User counts

integer format: int64
following_count
integer format: int64
full_name

The user’s full name

string
html_url

URL to the user’s gitea page

string
id

The user’s id

integer format: int64
is_admin

Is the user an administrator

boolean
language

User locale

string
last_login
string format: date-time
location

The user’s location

string
login

Login of the user, same as username

string
login_name

Identifier of the user, provided by the external authenticator (if configured)

string
default: empty
prohibit_login

Is user login prohibited

boolean
restricted

Is user restricted

boolean
source_id

The ID of the user’s Authentication Source

integer format: int64
starred_repos_count
integer format: int64
visibility

User visibility level option: public, limited, private public UserVisibilityPublic limited UserVisibilityLimited private UserVisibilityPrivate

string
Allowed values: public limited private
website

The user’s website

string
Example
{
"resolver": {
"login_name": "empty",
"visibility": "public"
},
"user": {
"login_name": "empty",
"visibility": "public"
}
}

APIValidationError is error format response related to input validation

Media typeapplication/json
message
string
url
string

APINotFound is a not found empty response

Media typeapplication/json

APIValidationError is error format response related to input validation

Media typeapplication/json
message
string
url
string